set terminal postscript eps color solid
#set terminal png
set output "branches-stable.eps"
set title "Committers/month by branch (STABLE/HEAD)"
set ylabel "Commits/month"
set xlabel "Releases"
set xdata time
set timefmt "%Y/%m"
set format x "%m/%y"
set xrange ["1994/04":"2003/08"]

set xtics rotate (			\
	"2.0" "1995/01",		\
	"2.0.5" "1995/06",		\
	"2.1.0" "1995/11",		\
	"2.1.5" "1996/07",		\
	"2.1.6" "1996/11",		\
	"2.1.7" "1997/02",		\
	"2.2.0" "1997/03",		\
	"2.2.2" "1997/05",		\
	"2.2.5" "1997/10",		\
	"2.2.6" "1998/03",		\
	"2.2.7" "1997/07",		\
	"3.0" "1998/10",		\
	"2.2.8" "1998/11",		\
	"3.1" "1999/02",		\
	"3.2" "1999/05",		\
	"3.3" "1999/09",		\
	"3.4" "1999/12",		\
	"4.0" "2000/03",		\
	"3.5" "2000/06",		\
	"4.1" "2000/07",		\
	"4.1.1" "2000/09",		\
	"4.2" "2000/11",		\
	"4.3" "2001/04",		\
	"4.4" "2001/09",		\
	"4.5" "2002/01",		\
	"4.6" "2002/06",		\
	"4.6.2" "2002/08",		\
	"4.7" "2002/10",		\
	"5.0" "2003/01",		\
	"4.8" "2003/05",		\
	"5.1" "2003/06" )

set key left

plot \
"data-HEAD/all.dat" using 1:2 title "commits-HEAD" with lines lw 3, \
"data-RELENG_3/all.dat" using 1:2 title "commits-RELENG_3" with lines lw 3, \
"data-RELENG_4/all.dat" using 1:2 title "commits-RELENG_4" with lines lw 3, \
"data-any/all.dat" using 1:2 title "commits-any" with lines lw 3

